import java.util.*;
import java.io.*;

public class SentenceGenerator
{
//@SuppressWarnings("unchecked")
	public static void main(String[] args) throws IOException
	{
		/* PHASE I:

		Read a file of words one line at a time and build a Map
		whose key is the first word on the line and
		whose value is a List of all subsequent words on that line

  			name;Fred;Bob;Mary
			verb;throws;eats;chases;breaks
			article;a;the;this
			adjective;big;red;small;blue
  			noun;wagon;ball;hot-dog
		*/



		/* PHASE II:

		Retrieve the keys from the HashMap and print the keys and associated words
		in sorted order one per line.

		Here is the expected output:

  		     Map (sorted alphabetically by Category and by Exemplars)

	        adjective can be replaced by [big, blue, red, small]
	        article can be replaced by [a, the, this]
	        noun can be replaced by [ball, hot-dog, wagon]
	        name can be replaced by [Bob, Fred, Mary]
	        verb can be replaced by [breaks, chases, eats, throws]
		*/



		/* PHASE III:
		Read a line of category words from a file and build a sentence by selecting one random exemplar.

		For example, the input file sentence.txt contains the following line:

		  name;verb;article;adjective;noun

		It indicates a name is to be followed by a verb, which is followed by an article, etc.
		*/


	}

}